# Generated by Django 4.1.5 on 2023-03-24 09:50

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_jalali.db.models
import post.models
import taggit.managers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('taggit', '0005_auto_20220424_2025'),
    ]

    operations = [
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(blank=True, max_length=8, verbose_name='Slug')),
                ('image', models.ImageField(upload_to='images/%Y/%m/%d/', validators=[post.models.check_image], verbose_name='Image')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('created', django_jalali.db.models.jDateField(auto_now_add=True, db_index=True, verbose_name='Created')),
                ('total_likes', models.PositiveBigIntegerField(db_index=True, default=0, verbose_name='Total likes')),
                ('related_posts', models.ManyToManyField(blank=True, to='post.post', verbose_name='Related posts')),
                ('tags', taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='posts', to=settings.AUTH_USER_MODEL, verbose_name='User')),
                ('users_like', models.ManyToManyField(blank=True, related_name='posts_liked', to=settings.AUTH_USER_MODEL, verbose_name='Users like')),
            ],
            options={
                'verbose_name': 'Post',
                'verbose_name_plural': 'Posts',
                'ordering': ('-total_likes',),
            },
        ),
        migrations.AddIndex(
            model_name='post',
            index=models.Index(fields=['slug'], name='slug_idx'),
        ),
        migrations.AddIndex(
            model_name='post',
            index=models.Index(fields=['created'], name='created_idx'),
        ),
    ]
